#ifndef FVM_AS_CODEGEN_H_
#define FVM_AS_CODEGEN_H_

#include "as_analyzer.h"
#include <stdlib.h>

struct bytearray {
    size_t cap;
    size_t len;
    char* buf;
};

void bytearray_emit8(struct bytearray *self, int8_t data);
void bytearray_emit64(struct bytearray *self, int64_t data);

struct result codegen(struct allocator *alct, struct prog *prog, struct sym_table tbl);

#endif // FVM_AS_CODEGEN_H_
